Package: org.grails.plugins.web.mime

## [Groovy] Class MimeTypesFactoryBean

- org.grails.plugins.web.mime.MimeTypesFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean<MimeType>, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      @java.lang.Deprecated
      class MimeTypesFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<MimeType>, org.springframework.context.ApplicationContextAware

  Creates the MimeType[] object that defines the configured mime types.

  deprecated:
    Use MimeTypesConfiguration instead
  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `private GrailsApplication` | `grailsApplication` |
    `private java.util.Collection<MimeTypeProvider>` | `mimeTypeProviders` |
    `private MimeType[]` | `mimeTypes` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`
    `GrailsApplication` | `grailsApplication`
    `java.util.Collection<MimeTypeProvider>` | `mimeTypeProviders`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MimeTypesFactoryBean ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map<java.lang.CharSequence, java.lang.CharSequence>` | `getMimeConfig(Config config)`
    `` | `MimeType[]` | `getObject()`
    `` | `java.lang.Class<?>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### private GrailsApplication grailsApplication

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private java.util.Collection<MimeTypeProvider> mimeTypeProviders

    - #### private MimeType[] mimeTypes

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

    - #### GrailsApplication grailsApplication

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) java.util.Collection<MimeTypeProvider> mimeTypeProviders

  - ### Constructor Detail

    - #### MimeTypesFactoryBean()

  - ### Method Detail

    - #### @groovy.transform.CompileStatic(value: TypeCheckingMode.SKIP) protected java.util.Map<java.lang.CharSequence, java.lang.CharSequence> getMimeConfig(Config config)

    - #### @java.lang.Override MimeType[] getObject()

    - #### @java.lang.Override java.lang.Class<?> getObjectType()

    - #### @java.lang.Override boolean isSingleton()